//============================================================================
// nodraw ladder - use on brushes wrapping objects to be climbed
//============================================================================

textures/ut4_spa_necesario/escalera
{
	qer_editorimage textures/ut4_spa_necesario/escalera.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

textures/ut4_spa_necesario/sky
{
	qer_editorimage textures/ut4_spa_necesario/sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .5 .37 .19  30 70
	//q3map_sun .5 .37 .19 70 170 40
	q3map_sun .5 .5 .5 2110 2130 255
	//q3map_surfacelight 80
	q3map_surfacelight 1170

        skyparms env/spasky/austriasky - -
	
}



textures/ut4_spa_necesario/watertest
	{
		qer_editorimage textures/ut4_spa_necesario/watertest.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		tessSize 32
		deformVertexes normal .1 .5

		{
			map textures/ut4_spa_necesario/watertest.tga
			blendfunc add
			tcgen environment
			rgbgen wave sin .25 0 0 0
			tcmod scale 2 1
			tcMod scroll .05 .05
		}

}


textures/glass/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/glass/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

models/mapobjects/crystals/crystals
{
	surfaceparm nomarks
	surfaceparm trans
	cull none
//	q3map_surfacelight 2000
//	q3map_lightrgb 0 .95 .95
		
	{
	map models/mapobjects/crystals/crystals.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}


	{
   	map gfx/reflect/lake2.tga
   	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
 		
	     map gfx/reflect/lake.jpg
	     blendFunc add
	     tcgen environment
	}


}

textures/ut4_spa_necesario/glass_cristal
{
	qer_editorimage textures/ut4_spa_necesario/glass_cristal.tga
	qer_trans 	0.1
	surfaceparm trans	

	{
		map textures/ut4_spa_necesario/glass_cristal.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}